View Issue Details

IDProjectCategoryView StatusLast Update
0013590MediaMonkey 4Synchronizationpublic2016-10-21 00:09
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version4.1 
Target Version4.1.15Fixed in Version4.1.15 
Summary0013590: WiFi sync incomplete may appear when an over-complex auto-playlist is on sync-list
DescriptionBased on one log from LowLander he created really really over-complex auto-playlist referencing many others auto-playlists (similar to those from ~38888 ) which SQL locked database for 30 seconds and because other thread (replaying "KEEP-ALIVE") needed DB access too (at the same time) the KEEP-ALIVE message was postponed and WiFi sync failed because of MMA timeout.

TagsNo tags attached.
Fixed in build1814

Relationships

related to 0013070 closedLudek SQLite parser stack overflow for overcomplex SQL created by complex (nested) auto-playlists 
related to 0011635 closedLudek SQL error when working with Device Profile (overcomplex SQL issues) 

Activities

Ludek

2016-10-11 13:19

developer   ~0045895

Fixed in 4.1.15.1814 and merged into 5.0.0.2037

peke

2016-10-19 23:10

developer   ~0045967

Verified 1814